curl -H "X-API-KEY: your_api_key" "https://www.gomry.com/api/v1/forms"
{
"data": [
{
"id": "<string>",
"name": {},
"description": {},
"status": {},
"cover_image": {},
"questions": [
{
"id": {},
"title": {},
"subtitle": {},
"type": {},
"user_info": {},
"required": true,
"options": [
"<string>"
],
"field_id": {}
}
],
"created_at": {},
"updated_at": {}
}
]
}Forms
List Forms
List forms (registration questionnaires) for your organization
GET
/
forms
curl -H "X-API-KEY: your_api_key" "https://www.gomry.com/api/v1/forms"
{
"data": [
{
"id": "<string>",
"name": {},
"description": {},
"status": {},
"cover_image": {},
"questions": [
{
"id": {},
"title": {},
"subtitle": {},
"type": {},
"user_info": {},
"required": true,
"options": [
"<string>"
],
"field_id": {}
}
],
"created_at": {},
"updated_at": {}
}
]
}List Forms
Returns a paginated list of forms belonging to your organization. Forms include the question schema you’ll use to interpret answers from the Applications endpoint. Required scope:forms:read
Query Parameters
integer
default:"1"
integer
default:"50"
Maximum:
200.string
default:"active"
Comma-separated. Allowed:
active, inactive.Response
array
Show Form object
Show Form object
string
string | null
string | null
string | null
active, inactivestring | null
array
Show Question
Show Question
string | null
string | null
string | null
string | null
e.g.
text, multipleChoice, dropdown, email, contact_custom_fieldstring | null
If this question maps to a contact field (e.g.
email, linkedin)boolean
string[]
For
multipleChoice and dropdownstring | null
For
contact_custom_field, the custom field IDstring | null
string | null
curl -H "X-API-KEY: your_api_key" "https://www.gomry.com/api/v1/forms"

